%define name		swami
%define version		2.0.0
%define release		%mkrel 1

Name:           %{name}
Version:        %{version}
Release:	%{release}
Summary:        MIDI instrument and sound editor
Group:          Sound
License:        GPLv2
URL:            http://www.swamiproject.org/
Source0:        swami-2.0.0.tar.xz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  fftw-devel
BuildRequires:  fluidsynth-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  libgnomecanvas2-devel
BuildRequires:  libinstpatch-devel
BuildRequires:  librsvg2-devel
BuildRequires:	gtksourceview2-devel
Requires:       hicolor-icon-theme

%description
The Swami Project - Sampled Waveforms And Musical Instruments - is a collection
of free software for editing and sharing MIDI instruments and sounds. Swami
aims to provide an instrument editing and sharing software for instrument 
formats such as SoundFont, DLS and GigaSampler. 

%package devel
Group:		Development/Libraries
Summary:        MIDI instrument and sound editor development files
Requires:       %{name} = %{version}-%{release}

%description devel
Headers and development files for The Swami Project - Sampled Waveforms And
Musical Instruments.

%prep

%setup -q

%build
./autogen.sh

export CFLAGS="${CFLAGS} -fPIC"

%configure2_5x

%make

%install
rm -rf %buildroot
%make_install

desktop-file-install                                    \
    --add-category="X-MandrivaLinux-Multimedia-Sound"   \
    --add-category="X-Jack"                             \
    --remove-category="Application"                     \
    --remove-key="Encoding"                             \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop

rm -fr %{buildroot}%{_datadir}/gtk-doc/html/*%{name}*
rm -fr %{buildroot}%{_libdir}/*.a
rm -fr %{buildroot}%{_libdir}/*.la
rm -fr %{buildroot}%{py_platsitedir}/*.a
rm -fr %{buildroot}%{py_platsitedir}/*.la

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pygtk/2.0/defs/%{name}*
%{_libdir}/lib%{name}*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib%{name}*.so
%{py_platsitedir}/*.so
%{_includedir}/%{name}/*

%clean
rm -rf %buildroot

%changelog
* Wed Jan 01 2014 gseaman <galen.seaman at comcast.net> 2.0.0-1gseaman2014
- first build for PCLinuxOS from modified fedora spec
